#!/bin/sh

# Revised 2003-06-12 wcr to correct condition where '.g' file name
#                        changes when the file name strats with a digit

PATH=$PATH:/usr/opt/SUNWmd/sbin:/opt/gms/bin:/usr/fox/wp/bin/tools:. ; export PATH
GMS_HOME=/opt/gms ; export GMS_HOME
WUHOME=/opt/windu ; export WUHOME

cd `dirname $0`

DSP=$1
NDSP=`echo $2 | sed -e "s/\.fdf//g"`
PREP=`basename $DSP | awk '{c=substr($1,1,1);if((c>="0")&&(c<="9"))printf "FOX_"}' -`
rootDSP=`echo $DSP | sed -e "s/\.fdf//g"`
rootDSP="`dirname $rootDSP`/$PREP`basename $rootDSP`"

# echo "         DSP=$DSP  \n         rootDSP=$rootDSP"

rm -f output

# Dump display into .g file
fdf_g $DSP >> tmp/fdf_g.log
if [ ! -f $rootDSP.g ] ; then
	echo "         ERROR - can not fdf_g display, skipping"
	touch output
	exit
fi
parseDeditFV.sh $rootDSP.g > tmp/temp1.out

# Get library text substitutions for main file
getSubs.sh $rootDSP.g > tmp/subs.sed

# Keep on expanding libraries till no more libraries
# In case library elements contain other library elements
numlibs=1
rm -f tmp/temp2.out
while [ "$numlibs" -gt 0 ] ; do
	getlibs.sh
	./addlib.sh tmp/temp1.out>> tmp/temp2.out
	mv tmp/temp2.out tmp/temp1.out
	numlibs=`wc -l tmp/libs | nawk '{print $1}'`
done

# Now remove duplicates and format
getdconn.sh DSP=$NDSP tmp/temp1.out | nawk -f format.awk | sort -u >output
rm -f tmp/temp1.out tmp/libs
