#!/bin/sh

cb=$1
lib=$2

cmp=`echo $cb | nawk -F ":" '{print $1}'`

# Create dump listing of library or symbol
./parseDeditFV.sh cbin=$cb tmp/$lib.g > tmp/$lib.dmp

# Now expand any text substitutions inside <>
nawk -F "," -v cbin=$cb -v namein=$lib '$1==namein && $2==cbin {print $3}' tmp/subs.sed > tmp/$lib.sed
sed -f tmp/$lib.sed tmp/$lib.dmp> tmp/$lib.dmp1

# Now expand any inherited compound and block names for any .PRM that begin with a period in libraries
sed -e "s/^>\./>$cb./g" -e "s/^<\./<$cb./g" -e "s/ \./ $cb./g" tmp/$lib.dmp1 > tmp/$lib.dmp

# Now expand any inherited compound  names for any BLK.PRM that begin with a colon in libaries
sed -e "s/^>\:/>$cmp:/g" -e "s/^<\:/>$cmp:/g" -e "s/ :/ $cmp:/g" tmp/$lib.dmp
