#!/bin/sh
cd `dirname $0`
wd=`pwd`
tempdir=`dirname $wd`/temp
CP=$1

#Cross reference sequence code
nawk -f blktypes.awk ../prt/$CP > $tempdir/seqblks.$$

while read i ; do
	echo $i | nawk '{printf("         %-32s %s\n",$1,$2)}'
	cb=`echo $i | nawk '{print $1}'`
	type=`echo $i | nawk '{print $2}'`
	seqConnDmp.sh $CP $cb $type >> $tempdir/xref.seq
done < $tempdir/seqblks.$$

rm $tempdir/seqblks.$$
