$1=="NAME"  {NAME=$3}
$1=="TYPE"  {TYPE=$3}

#ALL
$1=="IOMOPT"  {IOMOPT=$3}
$1=="IOM_ID"  {IOM_ID=$3}

#AIN,AOUT,CIN,COUT,VLV
$1=="PNT_NO"  {PNT_NO=$3}

#MTR
$1=="CO1_PT"  {CO1_PT=$3}
$1=="CO2_PT"  {CO2_PT=$3}

#GDEV
$1=="IP_FBM"	{IP_FBM=$3}
$1=="LM1_PT" 	{LM1_PT=$3}
$1=="LM2_PT"	{LM2_PT=$3}
$1=="OP_FBM"	{OP_FBM=$3}
$1=="CO1_PT"	{CO1_PT=$3}
$1=="CO2_PT"	{CO2_PT=$3}

$1=="END" {
	if (IOM_ID=="")
		IOM_ID="<NONE>";

	if (((TYPE=="AIN") || (TYPE=="AOUT") || (TYPE=="CIN") || (TYPE=="COUT") || (TYPE=="VLV")) && (IOMOPT==1))
	{
		if (PNT_NO > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,PNT_NO,NAME,TYPE);
	}
	if ((TYPE=="MTR") && (IOMOPT==1))
	{
		if (CO1_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,CO1_PT,NAME,TYPE);
		if (CO2_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,CO2_PT,NAME,TYPE);
	}
	if ((TYPE=="GDEV") && (IP_FBM==1))
	{
		if (LM1_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,LM1_PT,NAME,TYPE);
		if (LM2_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,LM2_PT,NAME,TYPE);
	}
	if ((TYPE=="GDEV") && (OP_FBM==1))
	{
		if (CO1_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,CO1_PT,NAME,TYPE);
		if (CO2_PT > 0)
			printf("%-6s %-2s %-24s %-6s\n",IOM_ID,CO2_PT,NAME,TYPE);
	}

	if (((TYPE=="MAIN") || (TYPE=="MCIN")) && (IOMOPT==1))
	{
		printf("%-6s %-2s %-24s %-6s\n",IOM_ID,"0",NAME,TYPE);
	}

	if (TYPE=="PLB")
	{
		printf("%-6s %-2s %-24s %-6s\n",IOM_ID,"0",NAME,TYPE);
	}
	
	IOM_ID="<NONE>"

	}
